package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_attendance):
 */
public class StudentAttendance {

	/**  */
	private Long id;
	
	/** 乐团 */
	@ApiModelProperty(value = "乐团",required = false)
	private Integer musicGroupId;
	
	/** 班级 */
	@ApiModelProperty(value = "班级",required = false)
	private Integer classGroupId;
	
	/** 课程计划 */
	@ApiModelProperty(value = "课程计划",required = false)
	private Long courseScheduleId;
	
	/**  */
	@ApiModelProperty(value = "学生编号",required = false)
	private Integer userId;
	
	/** 点名的教师 */
	@ApiModelProperty(value = "点名的教师",required = false)
	private Integer teacherId;
	
	/** 状态（正常、旷课、请假） */
	@ApiModelProperty(value = "状态（正常、旷课、请假、休学）",required = false)
	private StudentAttendanceStatusEnum status;
	
	/**  */
	private java.util.Date createTime;
	
	/** 如果是请假状态，此字段就指请假原因 */
	@ApiModelProperty(value = "如果是请假状态，此字段就指请假原因",required = false)
	private String remark;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}

	public StudentAttendanceStatusEnum getStatus() {
		return status;
	}

	public void setStatus(StudentAttendanceStatusEnum status) {
		this.status = status;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
